/* person.css */

main header {
    display:grid;
    grid-template-columns:repeat(3, 1fr);
}

main header img {
    border-radius:50%;
    height:200px;
    width:auto;
}

main header .data {
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
}

main header .data h1 {
    margin-top:0;
}

main header .data .title {
    color:var(--soraGray);
    font-size:1.125em;
    margin:0;
}

#buttons {
    flex-direction:column;
    align-items:flex-end;
    justify-content:flex-start;
    display:none;
}

#buttons button {
    width:60px;
}

.container {
    border: 2px solid #000;
    padding:6px 12px;
    border-radius:5px;
}

#currentStats {
    display:none;
}

#currentStats .container {
    display:flex;
    align-items:center;
    justify-content:space-between;
}

#currentStats .stat {
    display:flex;
    align-items:center;
    justify-content:center;
}

#currentStats .stat i {
    font-size:3em;
    margin-right:15px;
}

#currentStats .stat .green {
    color:var(--successGreen);
}

#currentStats .stat .yellow {
    color:var(--trophyGold);
}

#currentStats .stat .red {
    color:var(--failureRed);
}

#awards {
    display:none;
}

#awards .container {
    display:grid;
    grid-template-columns:repeat(4, 1fr);
    gap:15px;
}

#awards .award {
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:6px 12px;
    border-radius:5px;
    border:2px solid var(--trophyGold);
}

#awards .gotm {
    border-color:var(--crownBronze);
}

#awards .award i {
    font-size:4em;
    color:var(--trophyGold);
}

#awards .gotm i {
    color:var(--crownBronze);
}

#ytdStats {
    display:none;
}

#ytdStats .container {
    display:grid;
    grid-template-columns:20px repeat(12, 1fr);
    gap:5px;
}

#ytdLabels {
    display:grid;
    grid-template-rows:repeat(5, 20px);
    gap:5px;
}

#ytdLabels i {
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
}

#ytdLabels i:first-of-type{
    grid-row-start:span 2;
    justify-content:flex-end;
}

#ytdStats .monthStat {
    display:grid;
    grid-template-rows:repeat(5, 20px);
    gap:5px;
    border-left:1px solid #000;
    padding:0 5px;
    text-align:center;
}

#ytdStats .monthStat:last-of-type {
    border-right:1px solid #000;
}

#ytdStats .monthStat p {
    margin:0;
    font-weight:bold;
}

#surveys {
    display:none;
}

#surveys header {
    display:flex;
    justify-content:space-between;
    align-items:center;
}

#ticketCount {
    display:none;
}

#ticketCount header {
    display:flex;
    align-items:center;
    justify-content:space-between;
}

#ticketCount .container {
    text-align:center;
    font-size:1.5em;
}

#awardForm {
    display:none;
    position:fixed;
    left:50%;
    top:50%;
    transform:translate(-50%, -50%);
    background-color:#fff;
    border:2px solid #000;
    border-radius:5px;
    padding:6px 12px;
    grid-template-columns:100px 1fr;
    gap:6px;
    width:25vw;
    box-shadow:3px 3px 3px #444;
}

#awardForm h2 {
    grid-column-start:span 2;
    margin:0;
    text-align:center;
}

#awardForm sup {
    color:var(--failureRed);
}

#awardForm div {
    grid-column-start:2;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

#awardForm #cancelButton {
    background-color:var(--failureRed);
}